Bug 1184745 - (CVE-2021-21330) VUL-0: CVE-2021-21330: python-aiohttp: Open redirect in aiohttp.web_middlewares.normalize_path_middleware
(CVE-2021-21330)
VUL-0: CVE-2021-21330: python-aiohttp: Open redirect in aiohttp.web_middlewar...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: John Paul Adrian Glaubitz
Security Team bot
https://smash.suse.de/issue/278672/
CVSSv3.1:SUSE:CVE-2021-21330:8.2:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-14 14:36 UTC by Alexandros Toptsoglou
Modified: 2021-07-26 08:45 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexandros Toptsoglou 2021-04-14 14:37:59 UTC
Tracked as affected SLE15-Sp1 and Leap 15.2 Factory is already in version 3.7.4
Comment 3 Swamp Workflow Management 2021-04-26 10:17:12 UTC
SUSE-SU-2021:1313-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1184745
CVE References: CVE-2021-21330
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP3 (src):    python-aiohttp-3.4.4-3.6.1
SUSE Linux Enterprise Module for Public Cloud 15-SP2 (src):    python-aiohttp-3.4.4-3.6.1
SUSE Linux Enterprise Module for Public Cloud 15-SP1 (src):    python-aiohttp-3.4.4-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 John Paul Adrian Glaubitz 2021-07-26 08:45:19 UTC
This has been fixed.